.TH TUNER 1 "July 1, 1993 (version 1.6)
.SH NAME
.B tuner
- A motif-based tuner for ethernet radio stations
.SH SYNOPSIS
.B tuner
.RI [ Xt-options ]
.br
.B tuner
.RB [ -l ]
.RB [ -c ]
.RB [ -P ]
.RB [ -C ]
.br
.B tuner
.I station

.SH DESCRIPTION
Tuner is used in conjunction with
.IR radio (1)
and
.IR transmitter (1),
the CWI ethernet radio software. It accepts command line arguments to
allow you to change stations, or it will come up with a motif user
interface that allows you to browse through the
available radio stations and their playlists and to select one to
listen to.
.LP
In non-interactive mode, if you pass a \fIstation\fP name your radio
is tuned to that station. The \fB-l\fP option causes tuner to list all
available stations, the \fB-c\fP option prints information about the
currently tuned station, \fB-P\fP temporarily asks radio to stop
producing audio (mute) and \fB-C\fP undoes the effect of \fB-P\fP.
.LP
In interactive mode, the window shows the name of the station you are
currently listening to, what it is playing and since when, a list of
stations that are currently on the air and the playlist of the current
station (i.e. the most recent 100 records played), if available.  If
you select a new station in the station browser the playlist browser
will tune your radio to the selected station. This also updates the
playlist display.  When new stations come on the air or when the
currently tuned station changes records the display is updated
accordingly.
.LP
The
.I `mute'
toggle sends a message to the radio program asking it to shut up (or,
if it is already muted, to continue playing).
.LP
The
.I `revert'
button sets the station back to what it originally was.
.LP
The
.I `OK'
button exits tuner.
.LP
The
.I `radio'
button attempts to start a radio program or kill all radio programs
running on the current machine.
.LP
If stored newsbulletins are available on your system the
.I `anp'
button will play the most recent news bulletin.
.LP
On some machines you will also get a volume slider so you can adjust
the speaker output level.
.LP
The program uses an X resource file to control many aspects of its
appearance and behaviour, so you can change quite a few things to suit
your needs. This might especially be useful for monochrome displays,
since the default resources are tuned for color machines.
.SH BUGS
Under Motif 1.0 updating the playlist looks weird.
.br
It takes a while for tuner to notice that you have started a radio
program, so do not press the 'radio' button in rapid succession.
.SH "SEE ALSO"
radio(1), newcd(1), broadcast(1)
.SH "AUTHOR"
Jack Jansen, CWI, Jack.Jansen@cwi.nl
